> ## Documentation Index
> Fetch the complete documentation index at: https://docs.okrapdf.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Run Invoice Extraction

> Start the built-in invoice extraction workflow.

## Overview

Starts an invoice-extraction workflow for one or more uploaded files. Parser and model controls are managed by OkraPDF.

<ParamField body="inputs" type="object[]" required>
  File inputs. Each item must include `file_id`.
</ParamField>

<ParamField body="table_id" type="string">
  Optional existing table for results.
</ParamField>

<ParamField body="quality" type="string">
  Quality preset.
</ParamField>

<RequestExample>
  ```bash theme={null}
  curl -X POST https://api.okrapdf.com/v1/workflows/invoice-extraction/runs \
    -H "Authorization: Bearer $OKRA_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{
      "inputs": [{ "file_id": "file_abc123" }],
      "quality": "standard"
    }'
  ```
</RequestExample>
